Class | Sequel::Mock::Connection
In: | lib/sequel/adapters/mock.rb
Parent: | Object

Connection class for Sequel‘s mock adapter.

### Methods

execute new

### Attributes

db | [R] | Sequel::Mock::Database object that created this connection
opts | [R] | The specific database options for this connection.
server | [R] | Shard this connection operates on, when using Sequel‘s sharding support (always :default for databases not using sharding).

### Public Class methods

new(db, server, opts)

Store the db, server, and opts.

[Source]

        # File lib/sequel/adapters/mock.rb, line 17
    17:       def initialize(db, server, opts)
    18:         @db = db
    19:         @server = server
    20:         @opts = opts
    21:       end

### Public Instance methods

execute(sql)

Delegate to the db‘s _execute method.

[Source]

        # File lib/sequel/adapters/mock.rb, line 24
    24:       def execute(sql)
    25:         @db.send(:_execute, self, sql)
    26:       end

[Validate]